Repository to hold the comps.xml files used for CentOS releases and tool to generate those files
root
2018-12-01 ce0f18ad5cd9b7577977b4edea4dbe5249ef5e34
commit | author | age
0d4ee9 1 <?xml version='1.0' encoding='UTF-8'?>
FA 2 <!DOCTYPE comps PUBLIC "-//CentOS//DTD Comps info//EN" "comps.dtd">
3 <comps>
4   <group>
fb0e8f 5     <id>core</id>
5ee5cd 6     <name>Core</name>
0d4ee9 7  <description/>
FA 8     <default>true</default>
9     <uservisible>false</uservisible>
10      <packagelist>
11      <packagereq type='mandatory'>acl</packagereq>
12      <packagereq type='mandatory'>attr</packagereq>
13      <packagereq type='mandatory'>audit-libs</packagereq>
006259 14      <packagereq type='mandatory'>audit</packagereq>
0d4ee9 15      <packagereq type='mandatory'>authconfig</packagereq>
006259 16      <packagereq type='mandatory'>b43-openfwwf</packagereq>
0d4ee9 17      <packagereq type='mandatory'>basesystem</packagereq>
FA 18      <packagereq type='mandatory'>bash</packagereq>
19      <packagereq type='mandatory'>binutils</packagereq>
20      <packagereq type='mandatory'>bzip2-libs</packagereq>
006259 21      <packagereq type='mandatory'>bzip2</packagereq>
0d4ee9 22      <packagereq type='mandatory'>ca-certificates</packagereq>
FA 23      <packagereq type='mandatory'>centos-release</packagereq>
24      <packagereq type='mandatory'>checkpolicy</packagereq>
25      <packagereq type='mandatory'>chkconfig</packagereq>
26      <packagereq type='mandatory'>coreutils-libs</packagereq>
006259 27      <packagereq type='mandatory'>coreutils</packagereq>
0d4ee9 28      <packagereq type='mandatory'>cpio</packagereq>
FA 29      <packagereq type='mandatory'>cracklib-dicts</packagereq>
006259 30      <packagereq type='mandatory'>cracklib</packagereq>
KS 31      <packagereq type='mandatory'>cronie-anacron</packagereq>
32      <packagereq type='mandatory'>cronie</packagereq>
33      <packagereq type='mandatory'>crontabs</packagereq>
0d4ee9 34      <packagereq type='mandatory'>curl</packagereq>
FA 35      <packagereq type='mandatory'>cyrus-sasl-lib</packagereq>
006259 36      <packagereq type='mandatory'>cyrus-sasl</packagereq>
0d4ee9 37      <packagereq type='mandatory'>dash</packagereq>
FA 38      <packagereq type='mandatory'>db4-utils</packagereq>
006259 39      <packagereq type='mandatory'>db4</packagereq>
0d4ee9 40      <packagereq type='mandatory'>dbus-glib</packagereq>
FA 41      <packagereq type='mandatory'>dbus-libs</packagereq>
42      <packagereq type='mandatory'>device-mapper-event-libs</packagereq>
006259 43      <packagereq type='mandatory'>device-mapper-event</packagereq>
0d4ee9 44      <packagereq type='mandatory'>device-mapper-libs</packagereq>
006259 45      <packagereq type='mandatory'>device-mapper-persistent-data</packagereq>
KS 46      <packagereq type='mandatory'>device-mapper</packagereq>
0d4ee9 47      <packagereq type='mandatory'>dhclient</packagereq>
006259 48      <packagereq type='mandatory'>dhcp-common</packagereq>
0d4ee9 49      <packagereq type='mandatory'>diffutils</packagereq>
FA 50      <packagereq type='mandatory'>dracut-kernel</packagereq>
006259 51      <packagereq type='mandatory'>dracut</packagereq>
0d4ee9 52      <packagereq type='mandatory'>e2fsprogs-libs</packagereq>
006259 53      <packagereq type='mandatory'>e2fsprogs</packagereq>
0d4ee9 54      <packagereq type='mandatory'>efibootmgr</packagereq>
FA 55      <packagereq type='mandatory'>elfutils-libelf</packagereq>
56      <packagereq type='mandatory'>ethtool</packagereq>
57      <packagereq type='mandatory'>expat</packagereq>
58      <packagereq type='mandatory'>file-libs</packagereq>
59      <packagereq type='mandatory'>filesystem</packagereq>
006259 60      <packagereq type='mandatory'>file</packagereq>
0d4ee9 61      <packagereq type='mandatory'>findutils</packagereq>
FA 62      <packagereq type='mandatory'>fipscheck-lib</packagereq>
006259 63      <packagereq type='mandatory'>fipscheck</packagereq>
0d4ee9 64      <packagereq type='mandatory'>gamin</packagereq>
FA 65      <packagereq type='mandatory'>gawk</packagereq>
66      <packagereq type='mandatory'>gdbm</packagereq>
67      <packagereq type='mandatory'>glib2</packagereq>
68      <packagereq type='mandatory'>glibc-common</packagereq>
006259 69      <packagereq type='mandatory'>glibc</packagereq>
0d4ee9 70      <packagereq type='mandatory'>gmp</packagereq>
FA 71      <packagereq type='mandatory'>gnupg2</packagereq>
72      <packagereq type='mandatory'>gpgme</packagereq>
73      <packagereq type='mandatory'>grep</packagereq>
006259 74      <packagereq type='mandatory'>groff</packagereq>
0d4ee9 75      <packagereq type='mandatory'>grubby</packagereq>
006259 76      <packagereq type='mandatory'>grub</packagereq>
0d4ee9 77      <packagereq type='mandatory'>gzip</packagereq>
FA 78      <packagereq type='mandatory'>hwdata</packagereq>
79      <packagereq type='mandatory'>info</packagereq>
80      <packagereq type='mandatory'>initscripts</packagereq>
81      <packagereq type='mandatory'>iproute</packagereq>
82      <packagereq type='mandatory'>iptables-ipv6</packagereq>
006259 83      <packagereq type='mandatory'>iptables</packagereq>
0d4ee9 84      <packagereq type='mandatory'>iputils</packagereq>
FA 85      <packagereq type='mandatory'>kbd-misc</packagereq>
006259 86      <packagereq type='mandatory'>kbd</packagereq>
0d4ee9 87      <packagereq type='mandatory'>kernel-firmware</packagereq>
006259 88      <packagereq type='mandatory'>kernel</packagereq>
0d4ee9 89      <packagereq type='mandatory'>keyutils-libs</packagereq>
FA 90      <packagereq type='mandatory'>krb5-libs</packagereq>
91      <packagereq type='mandatory'>less</packagereq>
92      <packagereq type='mandatory'>libacl</packagereq>
93      <packagereq type='mandatory'>libattr</packagereq>
94      <packagereq type='mandatory'>libblkid</packagereq>
95      <packagereq type='mandatory'>libcap-ng</packagereq>
006259 96      <packagereq type='mandatory'>libcap</packagereq>
0d4ee9 97      <packagereq type='mandatory'>libcom_err</packagereq>
FA 98      <packagereq type='mandatory'>libcurl</packagereq>
99      <packagereq type='mandatory'>libdrm</packagereq>
100      <packagereq type='mandatory'>libffi</packagereq>
101      <packagereq type='mandatory'>libgcc</packagereq>
102      <packagereq type='mandatory'>libgcrypt</packagereq>
103      <packagereq type='mandatory'>libgpg-error</packagereq>
104      <packagereq type='mandatory'>libidn</packagereq>
105      <packagereq type='mandatory'>libnih</packagereq>
006259 106      <packagereq type='mandatory'>libpciaccess</packagereq>
0d4ee9 107      <packagereq type='mandatory'>libselinux-utils</packagereq>
006259 108      <packagereq type='mandatory'>libselinux</packagereq>
0d4ee9 109      <packagereq type='mandatory'>libsemanage</packagereq>
FA 110      <packagereq type='mandatory'>libsepol</packagereq>
111      <packagereq type='mandatory'>libssh2</packagereq>
006259 112      <packagereq type='mandatory'>libss</packagereq>
0d4ee9 113      <packagereq type='mandatory'>libstdc++</packagereq>
FA 114      <packagereq type='mandatory'>libudev</packagereq>
115      <packagereq type='mandatory'>libusb</packagereq>
116      <packagereq type='mandatory'>libuser</packagereq>
117      <packagereq type='mandatory'>libutempter</packagereq>
118      <packagereq type='mandatory'>libuuid</packagereq>
119      <packagereq type='mandatory'>libxml2</packagereq>
120      <packagereq type='mandatory'>logrotate</packagereq>
121      <packagereq type='mandatory'>lua</packagereq>
122      <packagereq type='mandatory'>lvm2-libs</packagereq>
006259 123      <packagereq type='mandatory'>lvm2</packagereq>
0d4ee9 124      <packagereq type='mandatory'>m4</packagereq>
FA 125      <packagereq type='mandatory'>MAKEDEV</packagereq>
126      <packagereq type='mandatory'>mingetty</packagereq>
127      <packagereq type='mandatory'>module-init-tools</packagereq>
006259 128      <packagereq type='mandatory'>mysql-libs</packagereq>
0d4ee9 129      <packagereq type='mandatory'>ncurses-base</packagereq>
FA 130      <packagereq type='mandatory'>ncurses-libs</packagereq>
006259 131      <packagereq type='mandatory'>ncurses</packagereq>
0d4ee9 132      <packagereq type='mandatory'>net-tools</packagereq>
FA 133      <packagereq type='mandatory'>newt-python</packagereq>
006259 134      <packagereq type='mandatory'>newt</packagereq>
0d4ee9 135      <packagereq type='mandatory'>nspr</packagereq>
FA 136      <packagereq type='mandatory'>nss-softokn-freebl</packagereq>
006259 137      <packagereq type='mandatory'>nss-softokn</packagereq>
0d4ee9 138      <packagereq type='mandatory'>nss-sysinit</packagereq>
006259 139      <packagereq type='mandatory'>nss-tools</packagereq>
0d4ee9 140      <packagereq type='mandatory'>nss-util</packagereq>
006259 141      <packagereq type='mandatory'>nss</packagereq>
0d4ee9 142      <packagereq type='mandatory'>openldap</packagereq>
FA 143      <packagereq type='mandatory'>openssh-server</packagereq>
006259 144      <packagereq type='mandatory'>openssh</packagereq>
0d4ee9 145      <packagereq type='mandatory'>openssl</packagereq>
FA 146      <packagereq type='mandatory'>pam</packagereq>
147      <packagereq type='mandatory'>passwd</packagereq>
148      <packagereq type='mandatory'>pciutils-libs</packagereq>
149      <packagereq type='mandatory'>pcre</packagereq>
150      <packagereq type='mandatory'>pinentry</packagereq>
151      <packagereq type='mandatory'>plymouth-core-libs</packagereq>
152      <packagereq type='mandatory'>plymouth-scripts</packagereq>
006259 153      <packagereq type='mandatory'>plymouth</packagereq>
0d4ee9 154      <packagereq type='mandatory'>policycoreutils</packagereq>
FA 155      <packagereq type='mandatory'>popt</packagereq>
006259 156      <packagereq type='mandatory'>postfix</packagereq>
0d4ee9 157      <packagereq type='mandatory'>procps</packagereq>
FA 158      <packagereq type='mandatory'>psmisc</packagereq>
159      <packagereq type='mandatory'>pth</packagereq>
160      <packagereq type='mandatory'>pygpgme</packagereq>
161      <packagereq type='mandatory'>python-iniparse</packagereq>
162      <packagereq type='mandatory'>python-libs</packagereq>
163      <packagereq type='mandatory'>python-pycurl</packagereq>
164      <packagereq type='mandatory'>python-urlgrabber</packagereq>
006259 165      <packagereq type='mandatory'>python</packagereq>
0d4ee9 166      <packagereq type='mandatory'>readline</packagereq>
FA 167      <packagereq type='mandatory'>redhat-logos</packagereq>
168      <packagereq type='mandatory'>rootfiles</packagereq>
169      <packagereq type='mandatory'>rpm-libs</packagereq>
170      <packagereq type='mandatory'>rpm-python</packagereq>
006259 171      <packagereq type='mandatory'>rpm</packagereq>
0d4ee9 172      <packagereq type='mandatory'>rsyslog</packagereq>
FA 173      <packagereq type='mandatory'>sed</packagereq>
174      <packagereq type='mandatory'>selinux-policy</packagereq>
175      <packagereq type='mandatory'>selinux-policy-targeted</packagereq>
176      <packagereq type='mandatory'>setup</packagereq>
177      <packagereq type='mandatory'>shadow-utils</packagereq>
178      <packagereq type='mandatory'>slang</packagereq>
179      <packagereq type='mandatory'>sqlite</packagereq>
006259 180      <packagereq type='mandatory'>sudo</packagereq>
0d4ee9 181      <packagereq type='mandatory'>system-config-firewall-base</packagereq>
FA 182      <packagereq type='mandatory'>sysvinit-tools</packagereq>
183      <packagereq type='mandatory'>tar</packagereq>
184      <packagereq type='mandatory'>tcp_wrappers-libs</packagereq>
185      <packagereq type='mandatory'>tzdata</packagereq>
186      <packagereq type='mandatory'>udev</packagereq>
187      <packagereq type='mandatory'>upstart</packagereq>
188      <packagereq type='mandatory'>ustr</packagereq>
189      <packagereq type='mandatory'>util-linux-ng</packagereq>
190      <packagereq type='mandatory'>vim-minimal</packagereq>
191      <packagereq type='mandatory'>which</packagereq>
192      <packagereq type='mandatory'>xz-libs</packagereq>
193      <packagereq type='mandatory'>yum-metadata-parser</packagereq>
006259 194      <packagereq type='mandatory'>yum</packagereq>
0d4ee9 195      <packagereq type='mandatory'>yum-plugin-fastestmirror</packagereq>
FA 196      <packagereq type='mandatory'>zlib</packagereq>
006259 197      <packagereq type='mandatory'>bridge-utils</packagereq>
KS 198      <packagereq type='mandatory'>cryptsetup-luks-libs</packagereq>
199      <packagereq type='mandatory'>cryptsetup-luks</packagereq>
200      <packagereq type='mandatory'>device-mapper-multipath-libs</packagereq>
201      <packagereq type='mandatory'>device-mapper-multipath</packagereq>
202      <packagereq type='mandatory'>device-mapper</packagereq>
203      <packagereq type='mandatory'>dhcp-common</packagereq>
204      <packagereq type='mandatory'>fuse</packagereq>
205      <packagereq type='mandatory'>iscsi-initiator-utils</packagereq>
206      <packagereq type='mandatory'>openssh-clients</packagereq>
207      <packagereq type='mandatory'>xfsprogs</packagereq>
208      <packagereq type='mandatory'>mdadm</packagereq>
209    </packagelist>
0d4ee9 210   </group>
FA 211
212 <category>
fb0e8f 213     <id>core</id>
5ee5cd 214     <name>Core</name>
0d4ee9 215     <description>Minimal server packages set</description>
FA 216     <display_order>60</display_order>
217     <grouplist>
fb0e8f 218       <groupid>core</groupid>
0d4ee9 219     </grouplist>
FA 220   </category>
221 </comps>